/*
 * my glob routines.
 *
 * A nice, friendly C++ class that uses regular expressions, not the glob mechanisms
 */

#ifndef MYGLOB_H
#define MYGLOB_H

#include <regex.h>


class myglob {
public:
    regex_t reg;

    myglob(const char *pattern);
    bool match(const char *fname);
    ~myglob();
    
};

#endif
